Bug 105143 - DOCX import: shape has incorrect position when it's intentionally outside the page rectangle
Summary: DOCX import: shape has incorrect position when it's intentionally outside the...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2017-01-06 11:38 UTC by Miklos Vajna
Modified: 2021-04-19 15:35 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Rerproducer document. (12.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-01-06 11:38 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-01-06 11:38:30 UTC
Created attachment 130196 [details]
Rerproducer document.

See the attached bug document. In practice what should be visible is just a line at the bottom left corner of the page, not the whole triangle.
Comment 1 Commit Notification 2017-01-06 15:15:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af313fc149f80adb0f1680ca20e19745ccb7fede

tdf#105143 DOCX import: enable DoNotCaptureDrawObjsOnPage layout compat option

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-01-09 09:38:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68c05e360a65a3984d3839f563daa34e2cce0b14&h=libreoffice-5-3

tdf#105143 DOCX import: enable DoNotCaptureDrawObjsOnPage layout compat option

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.